# keyring::key_set("talos_api")


df <-
  REDCapR::redcap_read_oneshot(
    "https://redcap.au.dk/api/",
    keyring::key_get("talos_api"),forms = c("basis","reg","nihss_0","pase_0")
  )$data |> 
  dplyr::select(c(
  "record_id",
  "talos_nihss13_0",
  "talos_nihss16_0",
  "talos_pase12_0",
  "talos_pase12x_0"
)) 

# For inspection of a few missing.
# ds <- df[df$talos_pase12_0=="Not available",c("record_id","talos_pase10_0","talos_pase12_0")]


library(tidyverse)

# Grov kategorisering
df |>
  mutate(own = grepl("(interview)|(hjælp)|(adspurgt)", talos_pase12x_0)) |> 
  arrange(desc(own)) |> readODS::write_ods("pase.ods")

# Manual sorting

df_own <- readODS::read_ods("pase_edit.ods") 

df_own <- df_own |>
  mutate(
    own_write = talos_pase12_0=="1. Ja",
    own_answer = ifelse(own_write, TRUE, own),
    afasi = factor(talos_nihss13_0,labels=c("0:ingen","1:mild","2:svær","3:stum",NA)) 
  ) |>
  select(c("record_id", "own_write", "own_answer", "afasi"))
