## 
## NOTES
## 
## Leaving gtsummary as this is slow and a little inflexible.
## 

## =============================================================================
## Requirements
## =============================================================================

source("function_reg_table_robust.R")

# dta<-dta_backup

library(dplyr)
library(gtsummary)
library(sandwich)
library(lmtest)


## =============================================================================
## Loop
## =============================================================================

dec <- 3

if (biv_mul){
  do_biv=TRUE
  do_mul=TRUE
} else {
  do_biv=FALSE
  do_mul=TRUE
}


bm_list <- lapply(seq_along(outs), function(i){
  X<-dta[,vars]
  y <- dta[,outs[i]]
  
  # Flagging factors and continous variables
  # 
  # sel_f <- X |>
  #   sapply(is.factor)
  # f.names <- colnames(X)[sel_f]
  
  rt<-reg_table(X,y,m.biv=do_biv,m.mul=do_mul,inter.add=inter_reg,robust=robust_ci)
  
  rt<-rt|>mutate(across(matches('co|lo|hi|pv'),as.numeric))
  
  rt[,grepl('co|lo|hi|pv',names(rt))] <- sapply( round( rt[,grepl('co|lo|hi|pv',names(rt))], 3 ),formatC, format='f', digits=3 )
  
  rt
})

names(bm_list) <- outs

## =============================================================================
## Print
## =============================================================================

# File name depending onstratification, transformation and back transformation
if (print_tbl==TRUE){
  fnm<-paste0("bm_16_tbl",lbl_x)
  if (robust_ci==TRUE){fnm<-paste0(fnm,"_robust")}
  
  export<-data.frame()
  for (i in 1:length(bm_list)){
    export<-rbind(export,paste(names(bm_list)[i]),bm_list[[i]])
  }
  
  write.csv(export,paste0(fnm,".csv"))
  
}



