# Experiments

library("sandwich")
library("lmtest")

vars<-c("pase_0", # New variables for analysis
        "female",
        "age",
        "cohab",
        "ever_smoker",
        "diabetes", 
        "hypertension", 
        "afli", 
        "ami", 
        "tci",
        "pad")

m<-lm(dta$mdi_1_enr~., data = dta[,vars])
summary(m)
coeftest(m, vcov = sandwich)
coefci(m, vcov = sandwich)

source("function_reg_table_robust.R")

reg_table(X = dta[,vars], y = dta[,"mdi_1_enr"]) |> gt()

## Så virker funktionen. Indbygges i script som tidligere.


vars<-c("pase_0", # New variables for analysis
        "female",
        "age",
        "cohab",
        "ever_smoker",
        "diabetes", 
        "hypertension", 
        "afli", 
        "ami", 
        "tci",
        "pad")
quants <- quantile(dta$pase_0,na.rm=TRUE)

m<-lm(dta$mdi_1_enr~splines::ns(pase_0, knots = quants[2:4])+., data = dta[,vars])

coeftest(m, vcov = sandwich) |> tbl_regression() |> bold_p()


p1 <- ggplot(dta) + 
  aes(pase_0,mdi_1_enr) +
  geom_point(na.rm = TRUE) +
  geom_smooth(method='lm', formula= y~x, na.rm = TRUE)+
  labs(title="Linear fit", x = "PASE score", y = "MDI score 1 month")

p2 <- ggplot() +
  aes(m$model$pase_0, predict(m)) +
  geom_point(color="blue") +
  geom_smooth(method='lm',formula = y~splines::ns(x, knots = quants[2:4])) +
  geom_vline(xintercept=quants) +
  ylim(0,max(dta$mdi_1_enr)) +
  labs(title="Qubic splines with predicted data", x = "PASE score", y = "MDI score 1 month")

library(patchwork)
p1+p2

# p2 <- ggplot() +
#   aes(m$model$pase_0, predict(m)) +
#   geom_point(color="maroon",shape=25) +
#   geom_smooth(method='lm',formula = y~splines::ns(x, knots = quants[2:4])) +
#   geom_vline(xintercept=quants) +
#   # ylim(0,max(dta$mdi_1_enr)) +
#   labs(title="Qubic splines with predicted data", x = "PASE score", y = "MDI score 1 month")+
#   theme_bw(14)

library(npreg)

dta_c <- dta[,c("mdi_1_enr","pase_0")] |> na.omit()

x <- dta_c$pase_0
y <- dta_c$mdi_1_enr

m1<-lm(dta$mdi_1_enr~dta$pase_0)


plot(ss(x, y, knots=quants), xlab = "PASE score", ylab = "MDI score 1 month", ylim=c(min(y),max(y)))
# rug(x)
points(x,y)
abline(coef(m1), lty = 2)
legend("topright", legend = c("ss", "lm"), lty = 1:2, bty = "n")

