reg_table <- function(X,y,m.biv=TRUE,m.mul=TRUE,inter.add=NULL,robust=TRUE){
  # method One of biv, mul, biv_mul
  
  # X = dta[,vars]
  # y = dta[,"mdi_1_enr"]
  
  cols<-c("name", "co", "lo", "hi", "pv")
  
  if(!is.null(inter.add)){
    form_add<-paste0(paste0(inter.add,collapse = "*"),"+")
    m.biv <- FALSE # If interaction term is added, only multivariate is performed.
  } else {
    form_add=NULL
  }
  
if (m.biv){
  df_b <- data.frame(matrix(NA, ncol = length(cols)))
  names(df_b)<-cols
  
  
for (j in colnames(X)){
  m<-lm(formula(paste0("y~",j)),X)
  if(robust){
    m <- coeftest(m, vcov = sandwich)
    pv <- m[-1,4] # Avoids dependency
  } else {
      pv <- summary(m)$coefficients[-1,4] # Avoids dependency
      }
  
  ci <- confint(m)
  lo <- ci[-1, 1]
  hi <- ci[-1, 2]
  co <- coef(m)[-1]

  df_b <- rbind(df_b, cbind(name=names(co), co, lo, hi, pv))
  
}
  
  df_b <- df_b[-1,]
  
  df_b<-df_b|>data.frame()|>mutate(across(matches('co|lo|hi'),as.numeric))
  colnames(df_b)[3:ncol(df_b)]<-paste0("biv_",colnames(df_b)[3:ncol(df_b)])
}
  
  if (m.mul){
    m<-lm(formula(paste0("y~",form_add,".")),X)
    if(robust){
      m <- coeftest(m, vcov = sandwich)
      pv <- m[-1,4] # Avoids dependency
    } else {
      pv <- summary(m)$coefficients[-1,4] # Avoids dependency
      }
      
      ci <- confint(m)
      lo <- ci[-1, 1]
      hi <- ci[-1, 2]
      co <- coef(m)[-1]

      df_m <- cbind(name=c(names(co)), co, lo, hi, pv)

      df_m<-df_m|>data.frame()|>mutate(across(matches('co|lo|hi'),as.numeric))
      colnames(df_m)[3:ncol(df_m)]<-paste0("mul_",colnames(df_m)[3:ncol(df_m)])
      
  }

  if (all(m.biv,m.mul)){
    merge(df_b,df_m,by=c("name"),sort=FALSE)
  } else if (m.biv) {
    return(df_b)
  } else {
      df_m
    }
  
}
